xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::KeyInfoCredentialContext Class Reference

Context for credentials resolved out of a KeyInfo. More...

`#include <xmltooling/security/KeyInfoCredentialContext.h>`

Inheritance diagram for xmltooling::KeyInfoCredentialContext:
[legend]
Collaboration diagram for xmltooling::KeyInfoCredentialContext:
[legend]

## Public Member Functions
| KeyInfoCredentialContext (const xmlsignature::KeyInfo *keyInfo=0)
| Constructor.
| KeyInfoCredentialContext (DSIGKeyInfoList *keyInfo)
| Constructor.
const xmlsignature::KeyInfo * | getKeyInfo () const
| Gets the KeyInfo context.
DSIGKeyInfoList * | getNativeKeyInfo () const
| Gets the native KeyInfo context.

## Detailed Description

Context for credentials resolved out of a KeyInfo.

## Constructor & Destructor Documentation

## ◆ KeyInfoCredentialContext() [1/2]

xmltooling::KeyInfoCredentialContext::KeyInfoCredentialContext | ( | const xmlsignature::KeyInfo * | keyInfo = 0 | ) |

Constructor.

Parameters

  keyInfo | surrounding KeyInfo context object

## ◆ KeyInfoCredentialContext() [2/2]

xmltooling::KeyInfoCredentialContext::KeyInfoCredentialContext | ( | DSIGKeyInfoList * | keyInfo | ) |

Constructor.

Parameters

  keyInfo | surrounding native KeyInfo context object

## Member Function Documentation

## ◆ getKeyInfo()

const xmlsignature::KeyInfo * xmltooling::KeyInfoCredentialContext::getKeyInfo | ( |  | ) | const

Gets the KeyInfo context.

Returns
  the KeyInfo context

## ◆ getNativeKeyInfo()

DSIGKeyInfoList * xmltooling::KeyInfoCredentialContext::getNativeKeyInfo | ( |  | ) | const

Gets the native KeyInfo context.

Returns
  the native KeyInfo context

The documentation for this class was generated from the following file:

- xmltooling/security/KeyInfoCredentialContext.h